using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Marco.Pms.Model.Dtos.Project
{
    public class UpdateProjectDto
    {
        public required Guid Id { get; set; }
        [Required(ErrorMessage = "Project Name is required!")]
        [DisplayName("Project Name")]
        public required string Name { get; set; }
        [DisplayName("Short Name")]
        public string? ShortName { get; set; }

        [DisplayName("Project Address")]
        [Required(ErrorMessage = "Project Address is required!")]
        public required string ProjectAddress { get; set; }


        [DisplayName("Contact Person")]
        public required string ContactPerson { get; set; }


        public DateTime? StartDate { get; set; }
        public DateTime? EndDate { get; set; }

        [DisplayName("Project Status")]
        [Required(ErrorMessage = "Project Status is required!")]
        public required Guid ProjectStatusId { get; set; }
        public required Guid PromoterId { get; set; }
        public required Guid PMCId { get; set; }
    }
}
